{
  "machines": [
    {
      "type": "block:simple",
      "entries": [
        {
          "id": "fluidmaker",
          "creativeTab": "zcm_comalterlite",
          "itemModel": "zcm_comalterlite:fluidmaker",
          "tileEntity": "zcm_comalterlite:fluidmaker",
          "hardness": 2.0,
          "harvestTool": "pickaxe",
          "gui": "zcm_comalterlite:fluidmaker"
        }
      ]
    },
    {
      "type": "tileentity:simple",
      "entries": [
        {
          "id": "fluidmaker",
          "modules": [
            {
              "type": "tank",
              "name": "input1",
              "capacity": 5000,
              "sides": ["up"]
            },
            {
              "type": "tank",
              "name": "input2",
              "capacity": 5000,
              "sides": ["north", "south", "east", "west"]
            },
            {
              "type": "tank",
              "canFill": true,
              "name": "output",
              "capacity": 5000,
              "sides": ["down"]
            },
            {
              "type": "machine",
              "name": "machine",
              "inputSlots": 0,
              "outputSlots": 0,
              "fuelSlots": 1,
              "inputTanks": ["input1", "input2"],
              "outputTanks": ["output"],
              "recipeList": "zcm_comalterlite:fluidmaker",
              "fuelList": "minecraft:vanilla"
            }
          ]
        }
      ]
    },
    {
      "type": "gui:container",
      "entries": [
        {
          "id": "fluidmaker",
          "bg": "zcm_comalterlite:textures/gui/container/fluidmaker.png",
          "slots": [
            {
              "name": "fluidmaker",
              "rows": 1,
              "columns": 1,
              "x": 56,
              "y": 53
            },
            {
              "name": "player",
              "firstSlot": 9,
              "rows": 3,
              "columns": 9,
              "x": 8,
              "y": 84
            },
            {
              "name": "player",
              "rows": 1,
              "columns": 9,
              "x": 8,
              "y": 142
            }
          ],
          "shiftClickRules": [
            {
              "from": [0, 0],
              "to": [36, 1]
            },
            {
              "from": [1, 36],
              "to": [0, 0],
              "filter": "machineFuel:minecraft:vanilla"
            }
          ],
          "labels": [
            {
              "text": "zcm_comalterlite.container.fluidmaker",
              "x": 28,
              "y": 6
            },
            {
              "text": "container.inventory",
              "x": 8,
              "y": 73
            }
          ],
          "progressBars": [
            {
              "source": "machine:cookTime",
              "x": 80,
              "y": 34,
              "width": 22,
              "height": 16,
              "texX": 177,
              "texY": 14,
              "direction": "right"
            },
            {
              "source": "machine:burnTime",
              "x": 56,
              "y": 36,
              "width": 14,
              "height": 13,
              "texX": 176,
              "texY": 0,
              "direction": "up"
            }
          ],
          "fluidDisplays": [
            {
              "source": "input1",
              "x": 46,
              "y": 17,
              "width": 16,
              "height": 16
            },
            {
              "source": "input2",
              "x": 64,
              "y": 17,
              "width": 16,
              "height": 16
            },
            {
              "source": "output",
              "x": 112,
              "y": 31,
              "width": 24,
              "height": 24
            }
          ]
        }
      ]
    },
    {
      "type": "machineRecipe",
      "entries": [
        {
          "recipeList": "zcm_comalterlite:fluidmaker",
          "inputFluid": ["water@500", "lava@500"],
          "outputFluid": ["water@1000"],
          "cookTime": 400
        }
      ]
    },
    {
      "type": "jei:description",
      "entries": [
      	{
		  "items": ["zcm_comalterlite:fluidmaker"],
		  "desc": ["item.zcm_comalterlite.fluidmaker.name"]
		}
	  ]
	},
    {
      "type": "jei:machineRecipe",
      "entries": [
        {
          "recipeList": "zcm_comalterlite:fluidmaker",
          "gui": "zcm_comalterlite:fluidmaker",
          "tileEntity": "zcm_comalterlite:fluidmaker",
          "bgX": 45,
          "bgY": 16,
          "bgWidth": 92,
          "bgHeight": 54,
          "icon": "zcm_comalterlite:machine",
          "title": "Fluidmaker Machine Recipes",
          "recipeAreaX": 80,
          "recipeAreaY": 35,
          "recipeAreaWidth": 22,
          "recipeAreaHeight": 15
        }
      ]
    }
  ]
}

